Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0019969
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementminoralways2012-03-06 18:182012-04-17 05:31
Reportereduardo_ArgalView Statuspublic 
Assigned ToSandrahuguet 
PriorityurgentResolutionfixedFixed in Version3.0MP11
StatusclosedFix in branchFixed in SCM revisione2628462cabe
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0019969: Some tables are not active in accounting schema when it is first created

DescriptionSome tables needs to be active in accounting schema when initial client / organization setup.
List of tables to activate:
M_Inout
M_Inventory
M_Movement
m_Production
M_MatchInv

Tables which should be deactivated:
C_BankStatement
C_Cash
C_Settlement
Steps To ReproduceRun initial client setup creating an accounting schema and mind that previously mentioned tables are not active
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0047383)
Sandrahuguet (developer)
2012-04-04 12:34

Test Plan:
 - Go to Initial Organization Setup, and create a new organization
 - Go to Accounting Schema
   - Create a new a Accounting Schema and select the new organization
   - Go to Account schema Tables tab
   - And you can see the correct tables active
(0047511)
vmromanos (developer)
2012-04-12 11:40

Alternative test plan I:
1. Go to Accounting Schema window
2. Create a new record
3. Go to Account schema Tables tab
4. Check the following tables are active by default:
-MaterialMgmtShipmentInOut
-MaterialMgmtInventoryCount
-MaterialMgmtInternalMovement
-MaterialMgmtProductionTransaction
-ProcurementReceiptInvoiceMatch
5. Check the following tables are not active by default:
-FinancialMgmtBankStatement
-FinancialMgmtCashJournal
-FinancialMgmtSettlement

Alternative test plan II:
1. Run an initial client setup. Select any COA
2. Change to the new created client
3. Go to Accounting Schema window
4. Check the following tables are active by default:
-MaterialMgmtShipmentInOut
-MaterialMgmtInventoryCount
-MaterialMgmtInternalMovement
-MaterialMgmtProductionTransaction
-ProcurementReceiptInvoiceMatch
5. Check the following tables are not active by default:
-FinancialMgmtBankStatement
-FinancialMgmtCashJournal
-FinancialMgmtSettlement
(0047512)
hgbot (developer)
2012-04-12 11:41

Repository: erp/devel/pi
Changeset: e2628462cabec50e48075156b1fb4fe87372a1f7
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Wed Apr 04 12:49:19 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/e2628462cabec50e48075156b1fb4fe87372a1f7 [^]

Fixed issue 19969 Active/deactivate tables in accounting schema tables
Active/deactivate tables in accounting schema tables when client/organization
is first created.

---
M src-db/database/sourcedata/AD_TABLE.xml
---
(0047513)
vmromanos (developer)
2012-04-12 11:42

code review + testing OK
(0047636)
hudsonbot (developer)
2012-04-17 05:31

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/cedf57621434 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2012-03-06 18:18 eduardo_Argal New Issue
2012-03-06 18:18 eduardo_Argal Assigned To => vmromanos
2012-03-06 18:18 eduardo_Argal Modules => Core
2012-04-04 12:00 Sandrahuguet Status new => scheduled
2012-04-04 12:00 Sandrahuguet Assigned To vmromanos => Sandrahuguet
2012-04-04 12:00 Sandrahuguet fix_in_branch => pi
2012-04-04 12:08 Sandrahuguet fix_in_branch pi =>
2012-04-04 12:08 Sandrahuguet Description Updated View Revisions
2012-04-04 12:34 Sandrahuguet Note Added: 0047383
2012-04-12 11:40 vmromanos Note Added: 0047511
2012-04-12 11:41 hgbot Checkin
2012-04-12 11:41 hgbot Note Added: 0047512
2012-04-12 11:41 hgbot Status scheduled => resolved
2012-04-12 11:41 hgbot Resolution open => fixed
2012-04-12 11:41 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/e2628462cabec50e48075156b1fb4fe87372a1f7 [^]
2012-04-12 11:42 vmromanos Note Added: 0047513
2012-04-12 11:42 vmromanos Status resolved => closed
2012-04-12 11:42 vmromanos Fixed in Version => 3.0MP11
2012-04-17 05:31 hudsonbot Checkin
2012-04-17 05:31 hudsonbot Note Added: 0047636


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker